<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_white"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center_vertical">

        <TextView
            android:id="@+id/answer_item_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="18dp"
            android:paddingTop="10dp"
            android:paddingBottom="12dp"
            android:text="热门回答"
            android:textColor="@color/black"
            android:textSize="18sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/answer_item_more"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="18dp"
            android:text="进入论坛"
            android:textColor="@color/theme_font"
            android:textSize="14sp" />

        <RelativeLayout
            android:id="@+id/answer_item_hint"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_toLeftOf="@+id/answer_item_more"
            android:visibility="gone">

            <TextView
                android:id="@+id/answer_item_hint_text"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_centerVertical="true"
                android:background="@drawable/textview_blue_up"
                android:gravity="center"
                android:paddingLeft="8dp"
                android:paddingRight="8dp"
                android:text="点击查看更多精彩内容"
                android:textColor="@color/white"
                android:textSize="12sp" />

            <View
                android:layout_width="10dp"
                android:layout_height="14dp"
                android:layout_centerVertical="true"
                android:layout_toRightOf="@id/answer_item_hint_text"
                android:background="@drawable/triangle_right_blue"
                android:gravity="center_vertical" />

        </RelativeLayout>
    </RelativeLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/answer_item_list"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:layout_marginBottom="8dp"
        android:background="@drawable/bg_shape_f8_radius_5" />
</LinearLayout>
